Team
List who has access to an event
List everyone who can open an authorized event: the owner, organization members, event-only teammates, and pending invites, with each person's scope (event or organization) and the dashboard areas they see.
Method
GET
Path
/v1/team-members
Required scope
team:readRequest
curl -X GET "https://api.endurancehq.app/v1/team-members" \
-H "Authorization: Bearer $EHQ_API_KEY"Query schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"eventId": {
"type": "string",
"minLength": 1
}
},
"required": [
"eventId"
],
"additionalProperties": false
}Response
Success status: 200
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string"
},
"name": {
"type": "string"
},
"email": {
"type": [
"string",
"null"
]
},
"role": {
"type": "string"
},
"operationalRole": {
"type": [
"string",
"null"
]
},
"scope": {
"type": "string",
"enum": [
"event",
"organization"
]
},
"organizationRole": {
"type": [
"string",
"null"
]
},
"organizationAccessName": {
"type": [
"string",
"null"
]
},
"inviteStatus": {
"type": "string",
"enum": [
"accepted",
"pending"
]
},
"accessAreas": {
"type": "array",
"items": {
"type": "string"
}
},
"accessSummary": {
"type": "string"
}
},
"required": [
"key",
"name",
"email",
"role",
"operationalRole",
"scope",
"organizationRole",
"organizationAccessName",
"inviteStatus",
"accessAreas",
"accessSummary"
],
"additionalProperties": false
}
}
},
"required": [
"data"
],
"additionalProperties": false
}Other surfaces
CLI: ehq team list --event <event_id>
MCP tool: ehq_team_members_list